import time
import sys
import time
sys.path.append("../ei2c")
from ei2c import *
import ei2cdefine


if __name__ == "__main__":
    # Get the IP, user and password for the ELMA crate from ei2cdefine.py
    ip   = ei2cdefine.HNAME
    user = ei2cdefine.USER
    pwd  = ei2cdefine.PWD
    testelma = EI2C(ip, user, pwd)
    testelma.open()

    # Ask for slot number
    while 1:
        try:
            slot = raw_input("Slot no.: ")
            slot = int(slot)
            break
        except TypeError as e:
            print("Please input a decimal slot number.")
        except SlotError as e:
            print(e.strerror)
        except KeyboardInterrupt:
            sys.exit();
        except:
            print("Unexpected error: ", sys.exc_info()[0])

    # Clear channel counters and close
    testelma.write(slot, 0x0c, 0)
    testelma.write(slot, 0x10, 0)
    testelma.write(slot, 0x14, 0)
    testelma.write(slot, 0x18, 0)
    testelma.write(slot, 0x1c, 0)
    testelma.write(slot, 0x20, 0)
    testelma.close()

