import time
import sys
import time
sys.path.append("../ei2c")
from ei2c import *
import ei2cdefine


if __name__ == "__main__":

    # Get the IP, user and password for the ELMA crate from ei2cdefine.py
    ip   = ei2cdefine.HNAME
    user = ei2cdefine.USER
    pwd  = ei2cdefine.PWD
    testelma = EI2C(ip, user, pwd)
    testelma.open()

    # Ask for slot number
    while 1:
        try:
            slot = raw_input("Slot no.: ")
            slot = int(slot)
            break
        except TypeError as e:
            print("Please input a decimal slot number.")
        except SlotError as e:
            print(e.strerror)
        except KeyboardInterrupt:
            sys.exit();
        except:
            print("Unexpected error: ", sys.exc_info()[0])

    # Print channel counter values, close and exit
    print("CH1: %d" % testelma.read(slot, 0x0c))
    print("CH2: %d" % testelma.read(slot, 0x10))
    print("CH3: %d" % testelma.read(slot, 0x14))
    print("CH4: %d" % testelma.read(slot, 0x18))
    print("CH5: %d" % testelma.read(slot, 0x1c))
    print("CH6: %d" % testelma.read(slot, 0x20))
    testelma.close()

